Subject: bug#52943: Cannot build guix as part of guix system reconfigure after commit 224d437fb4 on aarch64

From: Leo Famulari <[email-masked]>
Date: Sat, 29 Jan 2022 16:06:26 -0500

On Sat, Jan 29, 2022 at 08:54:24PM +0000, Pierre Langlois wrote:
> > Since the 'guix' package still does not build on aarch64, I'm reopening
> > this bug.
> 
> Oh it doesn't? What hash are you on?

I'm not using aarch64, so I can't give a commit hash. I am observing the
build farm's support for aarch64.

> I'm currently on b14a1cdef571c0901f716f4e752a97e8028ccbbd on a RockPro64
> and it's working OK, maybe something changed since then although this
> hash isn't very old. I see the farm does not have any substitutes yet.

As you point out, the build farm cannot build it:

https://ci.guix.gnu.org/search?query=spec%3Amaster+system%3Aaarch64-linux+guix-1.3.0

Maybe it's a problem with in the 'guix' package, maybe in the some other
package. But the effect for users is the same, and they report things
like this:

https://issues.guix.gnu.org/53616